unit ex_jpeg_utils;

interface

uses KOL;

function jpeg_fread( infile: PStream; buffer: Pointer; bufsize: Integer ): Integer; cdecl;
function jpeg_fwrite( outfile: PStream; buffer: Pointer; bufsize: Integer ): Integer; cdecl;
function jpeg_fflush( outfile: PStream ): Integer; cdecl;

var __imp__fread: Pointer = @ jpeg_fread;
var __imp__fwrite: Pointer = @ jpeg_fwrite;
var __imp__fflush: Pointer = @ jpeg_fflush;

implementation

function jpeg_fread( infile: PStream; buffer: Pointer; bufsize: Integer ): Integer; cdecl;
begin
  Result := infile.Read( buffer^, bufsize );
end;

function jpeg_fwrite( outfile: PStream; buffer: Pointer; bufsize: Integer ): Integer; cdecl;
begin
  Result := outfile.Write( buffer^, bufsize );
end;

function jpeg_fflush( outfile: PStream ): Integer; cdecl;
begin
  // nothing
  Result := 1;
end;

end.
